const {Router} = require("express");
const fs = require('fs');

module.exports = (app, parentRouter) => {
    const router = Router()
        .get('/', (req, res) => res.send('/series/:id'));
    
    router.location = '/series';
    fs.readdirSync('./ani/v1/routes/series').filter(file => file.endsWith('.js'))
        .forEach(route => require(`./series/${route}`)(app, router)); //execute all router functions

    parentRouter.use('/series', router);

    //TODO get all series
};