const {verify} = require("jsonwebtoken");

module.exports = (app, passAuth) => {
    const Users = app.db.models.ani.users
    return (req, res, next) => {
        if (req.headers && req.headers.authorization && req.headers.authorization.split(" ")[0] === "JWT") {
            verify(req.headers.authorization.split(' ')[1], app.auth.jwt_secret, (e, d) => {
                if (e) {req.user = undefined; return passAuth ? next() : res.status(401).send("You are not authenticated!");}
                Users.findOne({id: d.id})
                    .exec((err, user) => {
                        if (err) {res.status(500).send("Something went trying to authorize you!");}
                        else {req.user = user; next();}
                    });
            });
        }
    };
};